org.apache.maven.scm.provider.hg.command.status

## Class HgStatusCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.status.AbstractStatusCommand
    - - org.apache.maven.scm.provider.hg.command.status.HgStatusCommand

- All Implemented Interfaces:
    Command

      public class HgStatusCommand
      extends AbstractStatusCommand
      implements Command

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.scm.command.Command

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HgStatusCommand()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `StatusScmResult` | `executeStatusCommand(ScmProviderRepository repo, ScmFileSet fileSet)`

    - ### Methods inherited from class org.apache.maven.scm.command.status.AbstractStatusCommand

      `executeCommand`

    - ### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

      `execute, getLogger, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.maven.scm.command.Command

      `execute, getLogger, setLogger`

- - ### Constructor Detail

    - #### HgStatusCommand

          public HgStatusCommand()

  - ### Method Detail

    - #### executeStatusCommand

          public StatusScmResult executeStatusCommand(ScmProviderRepository repo,
                                             ScmFileSet fileSet)
                                               throws ScmException

      Specified by:
        `executeStatusCommand` in class `AbstractStatusCommand`
      Throws:
        `ScmException`

Copyright © 2003–2015. All rights reserved.